.video-modal[open]::-webkit-backdrop {
  background: rgba(0,0,0,0.5);
}

.video-modal[open]::backdrop {
  background: rgba(0,0,0,0.5);
}

.video-modal[open] {
  position: fixed;
  width: min(90vw, 1080px);
  height: auto;
  aspect-ratio: 16 / 9;
  background: transparent;
  border: none;
  padding: 0;
  overflow: visible;
}

.video-modal:focus:not(:focus-visible) {
  outline: none;
}

.video-modal-movie {
  width: 100%;
  height: auto;
  aspect-ratio: 16 / 9;
}

.button-close {
  --button-size: clamp(20px, calc(20 / 375 * 100vw), 40px);

  position: absolute;
  top: calc(clamp(20px, calc(20 / 375 * 100vw), 40px) * -1);
  right: 3px;
  width: var(--button-size);
  height: var(--button-size);
  border: none;
  background-color: transparent;
  padding: 0;
}

.button-close::before,
.button-close::after {
  position: absolute;
  top: 0;
  left: calc(var(--button-size) / 2);
  content: "";
  display: block;
  width: 2px;
  height: var(--button-size);
  background-color: #fff;
  -webkit-transform-origin: center;
          transform-origin: center;
}

.button-close::before {
   rotate: 45deg;
}

.button-close::after {
  rotate: -45deg;
}
